@extends('themes.base.layout')
@section('title', $album->name)

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
                    <li class="breadcrumb-item active">{{ $album->name }}</li>
                </ol>
            </div>
        </div>
    </div>

    <div class="container-fluid album-container">
        <div class="row">
            <div class="col">
                <div class="pull-right">
                    @include(\App\Facade\Theme::viewName('partials.album_view_selector'))
                </div>

                <h1 class="page-title">{{ $album->name }}</h1>
                <p>{{ $album->description }}</p>
                <hr/>
            </div>
        </div>

        <div class="row">
            @foreach ($photos as $photo)
                <div class="col-sm-6 col-md-4 col-lg-3 photo">
                    <div class="card">
                        <img src="{{ $photo->thumbnailUrl('preview') }}" alt="" class="card-img-top"/>
                        <div class="card-block">
                            <h4 class="card-title"><a href="{{ $photo->url() }}">{{ $photo->name }}</a></h4>
                        </div>
                        <div class="card-footer">
                            <small class="text-muted"><i class="fa fa-fw fa-calendar"></i> {{ date('Y-m-d H:i', strtotime(!is_null($photo->taken_at) ? $photo->taken_at : $photo->created_at)) }}</small>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>

        <div class="row" style="margin-top: 15px;">
            <div class="col text-center">
                {{ $photos->links() }}
            </div>
        </div>
    </div>
@endsection